# Betalupi QMK environment

This repository contains my keyboards' firmware and everything you need to build it. It includes a docker container for building QMK firmware, since QMK installation modifies my computer a bit more than I'd like.

## Usage

You do not need a local install of QMK to build this firmware.
You'll need docker, but there's a good chance you have that installed anyway.

1. `cd` into [`./docker`](./docker) and build the container.
2. `mkdir ./output`
3. Run `./build.sh`.
4. Upload the firmware in `./output` to your keyboard using the proper tool.
   - `wally-cli` works pretty well for the `betalupi_ergodox`

## Todo
 - FFT Animation: clear leds on sleep

